# connection-restapi-client-poc
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0
- Package version: 24.0.5.0470
- Generator version: 7.8.0-SNAPSHOT
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import connection_restapi_client_poc
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import connection_restapi_client_poc
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import connection_restapi_client_poc
from connection_restapi_client_poc.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = connection_restapi_client_poc.Configuration(
    host = "http://localhost"
)



# Enter a context with an instance of the API client
with connection_restapi_client_poc.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = connection_restapi_client_poc.CalculationApi(api_client)
    project_id = 'project_id_example' # str | The unique identifier of the opened project in the ConnectionRestApi service
    idea_stati_ca_api_connection_model_con_calculation_parameter_idea_stati_ca_api = connection_restapi_client_poc.IdeaStatiCaApiConnectionModelConCalculationParameterIdeaStatiCaApi() # IdeaStatiCaApiConnectionModelConCalculationParameterIdeaStatiCaApi | List of connections to calculate and a type of CBFEM analysis (optional)

    try:
        # Run CBFEM caluclation and return the summary of the results
        api_response = api_instance.calculate(project_id, idea_stati_ca_api_connection_model_con_calculation_parameter_idea_stati_ca_api=idea_stati_ca_api_connection_model_con_calculation_parameter_idea_stati_ca_api)
        print("The response of CalculationApi->calculate:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling CalculationApi->calculate: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*CalculationApi* | [**calculate**](docs/CalculationApi.md#calculate) | **POST** /api/1/projects/{projectId}/calculate | Run CBFEM caluclation and return the summary of the results
*CalculationApi* | [**get_raw_json_results**](docs/CalculationApi.md#get_raw_json_results) | **POST** /api/1/projects/{projectId}/rawresults-text | Get json string which represents raw CBFEM results (an instance of CheckResultsData)
*CalculationApi* | [**get_results**](docs/CalculationApi.md#get_results) | **POST** /api/1/projects/{projectId}/results | Get detailed results of the CBFEM analysis
*ConnectionApi* | [**delete_operations**](docs/ConnectionApi.md#delete_operations) | **DELETE** /api/1/projects/{projectId}/connections/{connectionId}/operations | Delete all operations for the connection
*ConnectionApi* | [**get_all_connections_data**](docs/ConnectionApi.md#get_all_connections_data) | **GET** /api/1/projects/{projectId}/connections | Get data about all connections in the project
*ConnectionApi* | [**get_connection_data**](docs/ConnectionApi.md#get_connection_data) | **GET** /api/1/projects/{projectId}/connections/{connectionId} | Get data about a specific connection in the project
*ConnectionApi* | [**get_missing_welds**](docs/ConnectionApi.md#get_missing_welds) | **GET** /api/1/projects/{projectId}/connections/{connectionId}/missing-welds | Get missing welds in the connection
*ConnectionApi* | [**get_operations**](docs/ConnectionApi.md#get_operations) | **GET** /api/1/projects/{projectId}/connections/{connectionId}/operations | Get the list of operations for the connection
*ConnectionApi* | [**get_production_cost**](docs/ConnectionApi.md#get_production_cost) | **GET** /api/1/projects/{projectId}/connections/{connectionId}/production-cost | Get production cost of the connection
*ConnectionApi* | [**update_connection_data**](docs/ConnectionApi.md#update_connection_data) | **PUT** /api/1/projects/{projectId}/connections/{connectionId} | Update data of a specific connection in the project
*ExportApi* | [**api1_projects_project_id_connections_connection_id_export_ifc_get**](docs/ExportApi.md#api1_projects_project_id_connections_connection_id_export_ifc_get) | **GET** /api/1/projects/{projectId}/connections/{connectionId}/export-ifc | 
*ExportApi* | [**api1_projects_project_id_connections_connection_id_export_iom_connection_data_get**](docs/ExportApi.md#api1_projects_project_id_connections_connection_id_export_iom_connection_data_get) | **GET** /api/1/projects/{projectId}/connections/{connectionId}/export-iom-connection-data | 
*ExportApi* | [**api1_projects_project_id_connections_connection_id_export_iom_get**](docs/ExportApi.md#api1_projects_project_id_connections_connection_id_export_iom_get) | **GET** /api/1/projects/{projectId}/connections/{connectionId}/export-iom | 
*LoadEffectApi* | [**api1_projects_project_id_connections_connection_id_load_effects_get**](docs/LoadEffectApi.md#api1_projects_project_id_connections_connection_id_load_effects_get) | **GET** /api/1/projects/{projectId}/connections/{connectionId}/load-effects | 
*LoadEffectApi* | [**api1_projects_project_id_connections_connection_id_load_effects_load_effect_id_delete**](docs/LoadEffectApi.md#api1_projects_project_id_connections_connection_id_load_effects_load_effect_id_delete) | **DELETE** /api/1/projects/{projectId}/connections/{connectionId}/load-effects/{loadEffectId} | 
*LoadEffectApi* | [**api1_projects_project_id_connections_connection_id_load_effects_load_effect_id_get**](docs/LoadEffectApi.md#api1_projects_project_id_connections_connection_id_load_effects_load_effect_id_get) | **GET** /api/1/projects/{projectId}/connections/{connectionId}/load-effects/{loadEffectId} | 
*LoadEffectApi* | [**api1_projects_project_id_connections_connection_id_load_effects_load_effect_id_put**](docs/LoadEffectApi.md#api1_projects_project_id_connections_connection_id_load_effects_load_effect_id_put) | **PUT** /api/1/projects/{projectId}/connections/{connectionId}/load-effects/{loadEffectId} | 
*LoadEffectApi* | [**api1_projects_project_id_connections_connection_id_load_effects_post**](docs/LoadEffectApi.md#api1_projects_project_id_connections_connection_id_load_effects_post) | **POST** /api/1/projects/{projectId}/connections/{connectionId}/load-effects | 
*LoadEffectApi* | [**api1_projects_project_id_connections_connection_id_load_effects_set_equilibrium_post**](docs/LoadEffectApi.md#api1_projects_project_id_connections_connection_id_load_effects_set_equilibrium_post) | **POST** /api/1/projects/{projectId}/connections/{connectionId}/load-effects/set-equilibrium | 
*MaterialApi* | [**api1_projects_project_id_connections_connection_id_materials_bolt_assemblies_get**](docs/MaterialApi.md#api1_projects_project_id_connections_connection_id_materials_bolt_assemblies_get) | **GET** /api/1/projects/{projectId}/connections/{connectionId}/materials/bolt-assemblies | 
*MaterialApi* | [**api1_projects_project_id_connections_connection_id_materials_bolt_assemblies_post**](docs/MaterialApi.md#api1_projects_project_id_connections_connection_id_materials_bolt_assemblies_post) | **POST** /api/1/projects/{projectId}/connections/{connectionId}/materials/bolt-assemblies | 
*MaterialApi* | [**api1_projects_project_id_connections_connection_id_materials_cross_sections_get**](docs/MaterialApi.md#api1_projects_project_id_connections_connection_id_materials_cross_sections_get) | **GET** /api/1/projects/{projectId}/connections/{connectionId}/materials/cross-sections | 
*MaterialApi* | [**api1_projects_project_id_connections_connection_id_materials_cross_sections_post**](docs/MaterialApi.md#api1_projects_project_id_connections_connection_id_materials_cross_sections_post) | **POST** /api/1/projects/{projectId}/connections/{connectionId}/materials/cross-sections | 
*MaterialApi* | [**api1_projects_project_id_connections_connection_id_materials_get**](docs/MaterialApi.md#api1_projects_project_id_connections_connection_id_materials_get) | **GET** /api/1/projects/{projectId}/connections/{connectionId}/materials | 
*MaterialApi* | [**api1_projects_project_id_connections_connection_id_materials_pins_get**](docs/MaterialApi.md#api1_projects_project_id_connections_connection_id_materials_pins_get) | **GET** /api/1/projects/{projectId}/connections/{connectionId}/materials/pins | 
*MaterialApi* | [**api1_projects_project_id_connections_connection_id_materials_pins_post**](docs/MaterialApi.md#api1_projects_project_id_connections_connection_id_materials_pins_post) | **POST** /api/1/projects/{projectId}/connections/{connectionId}/materials/pins | 
*MaterialApi* | [**api1_projects_project_id_connections_connection_id_materials_post**](docs/MaterialApi.md#api1_projects_project_id_connections_connection_id_materials_post) | **POST** /api/1/projects/{projectId}/connections/{connectionId}/materials | 
*MemberApi* | [**api1_projects_project_id_connections_connection_id_members_get**](docs/MemberApi.md#api1_projects_project_id_connections_connection_id_members_get) | **GET** /api/1/projects/{projectId}/connections/{connectionId}/members | 
*MemberApi* | [**api1_projects_project_id_connections_connection_id_members_member_id_get**](docs/MemberApi.md#api1_projects_project_id_connections_connection_id_members_member_id_get) | **GET** /api/1/projects/{projectId}/connections/{connectionId}/members/{memberId} | 
*MemberApi* | [**api1_projects_project_id_connections_connection_id_members_member_id_put**](docs/MemberApi.md#api1_projects_project_id_connections_connection_id_members_member_id_put) | **PUT** /api/1/projects/{projectId}/connections/{connectionId}/members/{memberId} | 
*ParameterApi* | [**api1_projects_project_id_connections_connection_id_evaluate_expression_post**](docs/ParameterApi.md#api1_projects_project_id_connections_connection_id_evaluate_expression_post) | **POST** /api/1/projects/{projectId}/connections/{connectionId}/evaluate-expression | 
*ParameterApi* | [**api1_projects_project_id_connections_connection_id_parameters_get**](docs/ParameterApi.md#api1_projects_project_id_connections_connection_id_parameters_get) | **GET** /api/1/projects/{projectId}/connections/{connectionId}/parameters | 
*ParameterApi* | [**api1_projects_project_id_connections_connection_id_parameters_put**](docs/ParameterApi.md#api1_projects_project_id_connections_connection_id_parameters_put) | **PUT** /api/1/projects/{projectId}/connections/{connectionId}/parameters | 
*ProjectApi* | [**close_project**](docs/ProjectApi.md#close_project) | **GET** /api/1/projects/{projectId}/close | Close the project. Needed for releasing resources in the service.
*ProjectApi* | [**connect_client**](docs/ProjectApi.md#connect_client) | **GET** /api/1/connect-client | Connect a client to the ConnectionRestApi service. Methond returns a unique identifier of the client.
*ProjectApi* | [**download_project**](docs/ProjectApi.md#download_project) | **GET** /api/1/projects/{projectId}/download | Download the actual ideacon project from the service. It includes alle changes which were made by previous API calls.
*ProjectApi* | [**get_active_projects**](docs/ProjectApi.md#get_active_projects) | **GET** /api/1/projects | Get the list of projects in the service which were opened by the client which was connected by M:IdeaStatiCa.ConnectionRestApi.Controllers.ProjectController.ConnectClient
*ProjectApi* | [**get_project_data**](docs/ProjectApi.md#get_project_data) | **GET** /api/1/projects/{projectId}/project-data | Get data of the project.
*ProjectApi* | [**get_setup**](docs/ProjectApi.md#get_setup) | **GET** /api/1/projects/{projectId}/connection-setup | Get setup from project
*ProjectApi* | [**import_iom**](docs/ProjectApi.md#import_iom) | **POST** /api/1/projects/import-iom-file | Creates an IDEA Connection project. IOM is passed in the body of the request.
*ProjectApi* | [**import_iom_container**](docs/ProjectApi.md#import_iom_container) | **POST** /api/1/projects/import-iom | Creates an IDEA Connection project from model (model and results)
*ProjectApi* | [**open_project**](docs/ProjectApi.md#open_project) | **POST** /api/1/projects/open | Open ideacon project which is passed in the body of the request  TODO - should be the parameter of the method
*ProjectApi* | [**update_from_iom**](docs/ProjectApi.md#update_from_iom) | **POST** /api/1/projects/{projectId}/update-iom-file | Update an IDEA Connection project based on OpenModelContainer (model and results). IOM is passed in the body of the request.
*ProjectApi* | [**update_from_iom_container**](docs/ProjectApi.md#update_from_iom_container) | **POST** /api/1/projects/{projectId}/update-iom | Update an IDEA Connection project by model (model and results)
*ProjectApi* | [**update_setup**](docs/ProjectApi.md#update_setup) | **PUT** /api/1/projects/{projectId}/connection-setup | Update setup of the project
*TemplateApi* | [**apply_template**](docs/TemplateApi.md#apply_template) | **POST** /api/1/projects/{projectId}/connections/{connectionId}/apply-template | Apply the connection template applyTemplateParam on the connection connectionId in the project projectId
*TemplateApi* | [**get_deault_template_mapping**](docs/TemplateApi.md#get_deault_template_mapping) | **POST** /api/1/projects/{projectId}/connections/{connectionId}/apply-mapping | Get the default mappings for the application of the connection template passed in templateToApply  on connectionId in the project projectId


## Documentation For Models

 - [ConcreteCheckSectionIdeaRSOpenModel](docs/ConcreteCheckSectionIdeaRSOpenModel.md)
 - [ConcreteConcreteSetupIdeaRSOpenModel](docs/ConcreteConcreteSetupIdeaRSOpenModel.md)
 - [ConeBreakoutCheckTypeIdeaRSOpenModel](docs/ConeBreakoutCheckTypeIdeaRSOpenModel.md)
 - [ConnectionAnchorGridIdeaRSOpenModel](docs/ConnectionAnchorGridIdeaRSOpenModel.md)
 - [ConnectionBeamDataIdeaRSOpenModel](docs/ConnectionBeamDataIdeaRSOpenModel.md)
 - [ConnectionBendDataIdeaRSOpenModel](docs/ConnectionBendDataIdeaRSOpenModel.md)
 - [ConnectionBoltGridIdeaRSOpenModel](docs/ConnectionBoltGridIdeaRSOpenModel.md)
 - [ConnectionBucklingResIdeaRSOpenModel](docs/ConnectionBucklingResIdeaRSOpenModel.md)
 - [ConnectionCheckResAnchorIdeaRSOpenModel](docs/ConnectionCheckResAnchorIdeaRSOpenModel.md)
 - [ConnectionCheckResBoltIdeaRSOpenModel](docs/ConnectionCheckResBoltIdeaRSOpenModel.md)
 - [ConnectionCheckResConcreteBlockIdeaRSOpenModel](docs/ConnectionCheckResConcreteBlockIdeaRSOpenModel.md)
 - [ConnectionCheckResPlateIdeaRSOpenModel](docs/ConnectionCheckResPlateIdeaRSOpenModel.md)
 - [ConnectionCheckResSummaryIdeaRSOpenModel](docs/ConnectionCheckResSummaryIdeaRSOpenModel.md)
 - [ConnectionCheckResWeldIdeaRSOpenModel](docs/ConnectionCheckResWeldIdeaRSOpenModel.md)
 - [ConnectionConcreteBlockDataIdeaRSOpenModel](docs/ConnectionConcreteBlockDataIdeaRSOpenModel.md)
 - [ConnectionConcreteBlockIdeaRSOpenModel](docs/ConnectionConcreteBlockIdeaRSOpenModel.md)
 - [ConnectionConnectionCheckResIdeaRSOpenModel](docs/ConnectionConnectionCheckResIdeaRSOpenModel.md)
 - [ConnectionConnectionDataIdeaRSOpenModel](docs/ConnectionConnectionDataIdeaRSOpenModel.md)
 - [ConnectionConnectionPointIdeaRSOpenModel](docs/ConnectionConnectionPointIdeaRSOpenModel.md)
 - [ConnectionCutBeamByBeamDataIdeaRSOpenModel](docs/ConnectionCutBeamByBeamDataIdeaRSOpenModel.md)
 - [ConnectionCutDataIdeaRSOpenModel](docs/ConnectionCutDataIdeaRSOpenModel.md)
 - [ConnectionCutMethodIdeaRSOpenModel](docs/ConnectionCutMethodIdeaRSOpenModel.md)
 - [ConnectionCutOrientationIdeaRSOpenModel](docs/ConnectionCutOrientationIdeaRSOpenModel.md)
 - [ConnectionCutPartIdeaRSOpenModel](docs/ConnectionCutPartIdeaRSOpenModel.md)
 - [ConnectionDistanceComparisonIdeaRSOpenModel](docs/ConnectionDistanceComparisonIdeaRSOpenModel.md)
 - [ConnectionFoldedPlateDataIdeaRSOpenModel](docs/ConnectionFoldedPlateDataIdeaRSOpenModel.md)
 - [ConnectionPlateDataIdeaRSOpenModel](docs/ConnectionPlateDataIdeaRSOpenModel.md)
 - [ConnectionSetupIdeaRSOpenModel](docs/ConnectionSetupIdeaRSOpenModel.md)
 - [ConnectionWeldDataIdeaRSOpenModel](docs/ConnectionWeldDataIdeaRSOpenModel.md)
 - [ConnectionWeldTypeIdeaRSOpenModel](docs/ConnectionWeldTypeIdeaRSOpenModel.md)
 - [CrossSectionCrossSectionIdeaRSOpenModel](docs/CrossSectionCrossSectionIdeaRSOpenModel.md)
 - [CrossSectionReinforcedCrossSectionIdeaRSOpenModel](docs/CrossSectionReinforcedCrossSectionIdeaRSOpenModel.md)
 - [CrtCompCheckISIdeaRSOpenModel](docs/CrtCompCheckISIdeaRSOpenModel.md)
 - [DataEPurposeIdeaRSConnections](docs/DataEPurposeIdeaRSConnections.md)
 - [DetailAnchor3DIdeaRSOpenModel](docs/DetailAnchor3DIdeaRSOpenModel.md)
 - [DetailBasePlate3DIdeaRSOpenModel](docs/DetailBasePlate3DIdeaRSOpenModel.md)
 - [DetailBeamIdeaRSOpenModel](docs/DetailBeamIdeaRSOpenModel.md)
 - [DetailDappedEndIdeaRSOpenModel](docs/DetailDappedEndIdeaRSOpenModel.md)
 - [DetailISDModelIdeaRSOpenModel](docs/DetailISDModelIdeaRSOpenModel.md)
 - [DetailLoadingDetailCombinationIdeaRSOpenModel](docs/DetailLoadingDetailCombinationIdeaRSOpenModel.md)
 - [DetailLoadingDetailLoadCaseIdeaRSOpenModel](docs/DetailLoadingDetailLoadCaseIdeaRSOpenModel.md)
 - [DetailOpeningIdeaRSOpenModel](docs/DetailOpeningIdeaRSOpenModel.md)
 - [DetailPatchDeviceIdeaRSOpenModel](docs/DetailPatchDeviceIdeaRSOpenModel.md)
 - [DetailReinforcementIdeaRSOpenModel](docs/DetailReinforcementIdeaRSOpenModel.md)
 - [DetailSolidBlock3DIdeaRSOpenModel](docs/DetailSolidBlock3DIdeaRSOpenModel.md)
 - [DetailSurfaceSupport3DIdeaRSOpenModel](docs/DetailSurfaceSupport3DIdeaRSOpenModel.md)
 - [DetailWallIdeaRSOpenModel](docs/DetailWallIdeaRSOpenModel.md)
 - [Geometry2DPoint2DIdeaRSOpenModel](docs/Geometry2DPoint2DIdeaRSOpenModel.md)
 - [Geometry2DPolyLine2DIdeaRSOpenModel](docs/Geometry2DPolyLine2DIdeaRSOpenModel.md)
 - [Geometry2DRegion2DIdeaRSOpenModel](docs/Geometry2DRegion2DIdeaRSOpenModel.md)
 - [Geometry2DSegment2DIdeaRSOpenModel](docs/Geometry2DSegment2DIdeaRSOpenModel.md)
 - [Geometry3DArcSegment3DIdeaRSOpenModel](docs/Geometry3DArcSegment3DIdeaRSOpenModel.md)
 - [Geometry3DLineSegment3DIdeaRSOpenModel](docs/Geometry3DLineSegment3DIdeaRSOpenModel.md)
 - [Geometry3DPoint3DIdeaRSOpenModel](docs/Geometry3DPoint3DIdeaRSOpenModel.md)
 - [Geometry3DPointOnLine3DIdeaRSOpenModel](docs/Geometry3DPointOnLine3DIdeaRSOpenModel.md)
 - [Geometry3DPolyLine3DIdeaRSOpenModel](docs/Geometry3DPolyLine3DIdeaRSOpenModel.md)
 - [Geometry3DRegion3DIdeaRSOpenModel](docs/Geometry3DRegion3DIdeaRSOpenModel.md)
 - [Geometry3DVector3DIdeaRSOpenModel](docs/Geometry3DVector3DIdeaRSOpenModel.md)
 - [IdeaRSCommonParametersParameterDataCIBasicTypes](docs/IdeaRSCommonParametersParameterDataCIBasicTypes.md)
 - [IdeaRSCommonParametersValidationTypeCIBasicTypes](docs/IdeaRSCommonParametersValidationTypeCIBasicTypes.md)
 - [IdeaRSWsLibCssServiceMaterialTypeCIBasicTypes](docs/IdeaRSWsLibCssServiceMaterialTypeCIBasicTypes.md)
 - [IdeaStatiCaApiConnectionModelBaseTemplateConversionIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelBaseTemplateConversionIdeaStatiCaApi.md)
 - [IdeaStatiCaApiConnectionModelConAnalysisTypeEnumIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelConAnalysisTypeEnumIdeaStatiCaApi.md)
 - [IdeaStatiCaApiConnectionModelConCalculationParameterIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelConCalculationParameterIdeaStatiCaApi.md)
 - [IdeaStatiCaApiConnectionModelConConnectionIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelConConnectionIdeaStatiCaApi.md)
 - [IdeaStatiCaApiConnectionModelConLoadEffectIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelConLoadEffectIdeaStatiCaApi.md)
 - [IdeaStatiCaApiConnectionModelConLoadEffectMemberLoadIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelConLoadEffectMemberLoadIdeaStatiCaApi.md)
 - [IdeaStatiCaApiConnectionModelConLoadEffectPositionEnumIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelConLoadEffectPositionEnumIdeaStatiCaApi.md)
 - [IdeaStatiCaApiConnectionModelConLoadEffectSectionLoadIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelConLoadEffectSectionLoadIdeaStatiCaApi.md)
 - [IdeaStatiCaApiConnectionModelConLoadingOptionsIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelConLoadingOptionsIdeaStatiCaApi.md)
 - [IdeaStatiCaApiConnectionModelConMemberIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelConMemberIdeaStatiCaApi.md)
 - [IdeaStatiCaApiConnectionModelConMissingWeldIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelConMissingWeldIdeaStatiCaApi.md)
 - [IdeaStatiCaApiConnectionModelConOperationIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelConOperationIdeaStatiCaApi.md)
 - [IdeaStatiCaApiConnectionModelConProductionCostIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelConProductionCostIdeaStatiCaApi.md)
 - [IdeaStatiCaApiConnectionModelConProjectDataIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelConProjectDataIdeaStatiCaApi.md)
 - [IdeaStatiCaApiConnectionModelConProjectIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelConProjectIdeaStatiCaApi.md)
 - [IdeaStatiCaApiConnectionModelConResultSummaryIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelConResultSummaryIdeaStatiCaApi.md)
 - [IdeaStatiCaApiConnectionModelConTemplateApplyParamIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelConTemplateApplyParamIdeaStatiCaApi.md)
 - [IdeaStatiCaApiConnectionModelConTemplateMappingGetParamIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelConTemplateMappingGetParamIdeaStatiCaApi.md)
 - [IdeaStatiCaApiConnectionModelIdeaParameterIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelIdeaParameterIdeaStatiCaApi.md)
 - [IdeaStatiCaApiConnectionModelIdeaParameterUpdateIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelIdeaParameterUpdateIdeaStatiCaApi.md)
 - [IdeaStatiCaApiConnectionModelProjBoltAssemblyIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelProjBoltAssemblyIdeaStatiCaApi.md)
 - [IdeaStatiCaApiConnectionModelProjCrossSectionIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelProjCrossSectionIdeaStatiCaApi.md)
 - [IdeaStatiCaApiConnectionModelProjMaterialIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelProjMaterialIdeaStatiCaApi.md)
 - [IdeaStatiCaApiConnectionModelProjPinIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelProjPinIdeaStatiCaApi.md)
 - [IdeaStatiCaApiConnectionModelSelectedElementIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelSelectedElementIdeaStatiCaApi.md)
 - [IdeaStatiCaApiConnectionModelTableContainerTypeIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelTableContainerTypeIdeaStatiCaApi.md)
 - [IdeaStatiCaApiConnectionModelTemplateConversionsIdeaStatiCaApi](docs/IdeaStatiCaApiConnectionModelTemplateConversionsIdeaStatiCaApi.md)
 - [LoadEffectDataIdeaStatiCaConnectionChecks](docs/LoadEffectDataIdeaStatiCaConnectionChecks.md)
 - [LoadingCombiInputIdeaRSOpenModel](docs/LoadingCombiInputIdeaRSOpenModel.md)
 - [LoadingLoadCaseIdeaRSOpenModel](docs/LoadingLoadCaseIdeaRSOpenModel.md)
 - [LoadingLoadGroupIdeaRSOpenModel](docs/LoadingLoadGroupIdeaRSOpenModel.md)
 - [LoadingLoadInPointIdeaRSOpenModel](docs/LoadingLoadInPointIdeaRSOpenModel.md)
 - [LoadingLoadOnLineIdeaRSOpenModel](docs/LoadingLoadOnLineIdeaRSOpenModel.md)
 - [LoadingLoadOnSurfaceIdeaRSOpenModel](docs/LoadingLoadOnSurfaceIdeaRSOpenModel.md)
 - [LoadingPointLoadOnLineIdeaRSOpenModel](docs/LoadingPointLoadOnLineIdeaRSOpenModel.md)
 - [LoadingResultClassIdeaRSOpenModel](docs/LoadingResultClassIdeaRSOpenModel.md)
 - [LoadingSettlementIdeaRSOpenModel](docs/LoadingSettlementIdeaRSOpenModel.md)
 - [LoadingStrainLoadOnLineIdeaRSOpenModel](docs/LoadingStrainLoadOnLineIdeaRSOpenModel.md)
 - [LoadingTemperatureLoadOnLineIdeaRSOpenModel](docs/LoadingTemperatureLoadOnLineIdeaRSOpenModel.md)
 - [MaterialMatConcreteIdeaRSOpenModel](docs/MaterialMatConcreteIdeaRSOpenModel.md)
 - [MaterialMatPrestressSteelIdeaRSOpenModel](docs/MaterialMatPrestressSteelIdeaRSOpenModel.md)
 - [MaterialMatReinforcementIdeaRSOpenModel](docs/MaterialMatReinforcementIdeaRSOpenModel.md)
 - [MaterialMatSteelIdeaRSOpenModel](docs/MaterialMatSteelIdeaRSOpenModel.md)
 - [MaterialMatWeldingIdeaRSOpenModel](docs/MaterialMatWeldingIdeaRSOpenModel.md)
 - [MessageMessageNumberIdeaRSOpenModel](docs/MessageMessageNumberIdeaRSOpenModel.md)
 - [MessageOpenMessageIdeaRSOpenModel](docs/MessageOpenMessageIdeaRSOpenModel.md)
 - [MessageOpenMessagesIdeaRSOpenModel](docs/MessageOpenMessagesIdeaRSOpenModel.md)
 - [MicrosoftAspNetCoreMvcOkObjectResultMicrosoftAspNetCoreMvcCore](docs/MicrosoftAspNetCoreMvcOkObjectResultMicrosoftAspNetCoreMvcCore.md)
 - [ModelCheckMemberIdeaRSOpenModel](docs/ModelCheckMemberIdeaRSOpenModel.md)
 - [ModelDesignMemberIdeaRSOpenModel](docs/ModelDesignMemberIdeaRSOpenModel.md)
 - [ModelElement1DIdeaRSOpenModel](docs/ModelElement1DIdeaRSOpenModel.md)
 - [ModelElement2DIdeaRSOpenModel](docs/ModelElement2DIdeaRSOpenModel.md)
 - [ModelHingeElement1DIdeaRSOpenModel](docs/ModelHingeElement1DIdeaRSOpenModel.md)
 - [ModelInitialImperfectionOfPointIdeaRSOpenModel](docs/ModelInitialImperfectionOfPointIdeaRSOpenModel.md)
 - [ModelLineSupportSegmentIdeaRSOpenModel](docs/ModelLineSupportSegmentIdeaRSOpenModel.md)
 - [ModelMember1DIdeaRSOpenModel](docs/ModelMember1DIdeaRSOpenModel.md)
 - [ModelMember2DIdeaRSOpenModel](docs/ModelMember2DIdeaRSOpenModel.md)
 - [ModelPointSupportNodeIdeaRSOpenModel](docs/ModelPointSupportNodeIdeaRSOpenModel.md)
 - [ModelRebarGeneralIdeaRSOpenModel](docs/ModelRebarGeneralIdeaRSOpenModel.md)
 - [ModelRebarShapeIdeaRSOpenModel](docs/ModelRebarShapeIdeaRSOpenModel.md)
 - [ModelRebarSingleIdeaRSOpenModel](docs/ModelRebarSingleIdeaRSOpenModel.md)
 - [ModelRebarStirrupsIdeaRSOpenModel](docs/ModelRebarStirrupsIdeaRSOpenModel.md)
 - [ModelRigidLinkIdeaRSOpenModel](docs/ModelRigidLinkIdeaRSOpenModel.md)
 - [ModelSpanIdeaRSOpenModel](docs/ModelSpanIdeaRSOpenModel.md)
 - [ModelSubStructureIdeaRSOpenModel](docs/ModelSubStructureIdeaRSOpenModel.md)
 - [ModelTaperIdeaRSOpenModel](docs/ModelTaperIdeaRSOpenModel.md)
 - [ModelTendonIdeaRSOpenModel](docs/ModelTendonIdeaRSOpenModel.md)
 - [OpenElementIdIdeaRSOpenModel](docs/OpenElementIdIdeaRSOpenModel.md)
 - [OpenModelContainerIdeaRSOpenModel](docs/OpenModelContainerIdeaRSOpenModel.md)
 - [OpenModelIdeaRSOpenModel](docs/OpenModelIdeaRSOpenModel.md)
 - [ParametersAnchorTypeIdeaRSOpenModel](docs/ParametersAnchorTypeIdeaRSOpenModel.md)
 - [ParametersBoltShearTypeIdeaRSOpenModel](docs/ParametersBoltShearTypeIdeaRSOpenModel.md)
 - [ReferenceElementIdeaRSOpenModel](docs/ReferenceElementIdeaRSOpenModel.md)
 - [ResultLoadingIdeaRSOpenModel](docs/ResultLoadingIdeaRSOpenModel.md)
 - [ResultLoadingTypeIdeaRSOpenModel](docs/ResultLoadingTypeIdeaRSOpenModel.md)
 - [ResultMemberIdeaRSOpenModel](docs/ResultMemberIdeaRSOpenModel.md)
 - [ResultMemberTypeIdeaRSOpenModel](docs/ResultMemberTypeIdeaRSOpenModel.md)
 - [ResultOpenModelResultIdeaRSOpenModel](docs/ResultOpenModelResultIdeaRSOpenModel.md)
 - [ResultResultLocalSystemTypeIdeaRSOpenModel](docs/ResultResultLocalSystemTypeIdeaRSOpenModel.md)
 - [ResultResultOnMemberIdeaRSOpenModel](docs/ResultResultOnMemberIdeaRSOpenModel.md)
 - [ResultResultOnMembersIdeaRSOpenModel](docs/ResultResultOnMembersIdeaRSOpenModel.md)
 - [ResultResultTypeIdeaRSOpenModel](docs/ResultResultTypeIdeaRSOpenModel.md)
 - [SystemIOMemoryStreamSystemPrivateCoreLib](docs/SystemIOMemoryStreamSystemPrivateCoreLib.md)
 - [WeldEvaluationIdeaRSOpenModel](docs/WeldEvaluationIdeaRSOpenModel.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization

Endpoints do not require authorization.


## Author




